<ion-view>
  <ion-nav-title class="noMargin"  side="left">
    Settings
  </ion-nav-title>
  <ion-content>
    <div class="moreBtm paddingLR paddingTopSrt">
      <div class="relative borderTop paddingTopMore">
        <form name="settings" novalidate>
          <ul class="form subNormal paddingBtm">
            <!--<li>
                <div class="tag">Protocol</div>
                <div class="dropDown thin subNormal medium">
                    <div class="head" data-init="0">
                        <input type="text" class="headTitle" value="Security Level"
                               ng-model="config.protocol"
                               name="protocol" disabled required>
                    </div>
                    <ul class="list">
                        <li ng-click="config.protocol='http://'">http://</li>
                        <li ng-click="config.protocol='https://'">https://</li>
                    </ul>
                </div>
                <div class="error"
                     ng-show="watchlistAddForm.securityLevel.$touched && watchlistAddForm.securityLevel.$invalid">
                    Please enter security level.
                </div>
            </li>-->
            <li>
              <div class="tag">IP Address</div>
              <input type="text" ng-model="config.IP" placeholder="xxx.xxx.xxx.xxx" name="IP" ng-pattern="/^(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.(25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)$/" required>
              <div class="error" ng-show="settings.IP.$dirty && settings.IP.$invalid">
                Please enter IP address.
              </div>
            </li>
            <li>
              <div class="tag">Port</div>
              <input type="number" placeholder="Please enter port no." min="0000" max="9999" ng-model="config.port" name="desc"
                     required>
              <div class="error" ng-show="settings.desc.$dirty && settings.desc.$invalid">
                Please enter port no.
              </div>
            </li>

            <!--<div class="marginTop">-->
            <!--<label>-->
            <!--<div class="checkbox midBlock">-->
            <!--<input type="checkbox" ng-model="config.value1" checked="autoLoginStatus">-->
            <!--&lt;!&ndash;<input type="checkbox" ng-model="autoLoginStatus">&ndash;&gt;-->
            <!--<div class="box"></div>-->
            <!--</div>-->
            <!--<div class="midBlock marginLeftSml subNormal lightColor">Auto login</div>-->
            <!--</label>-->
            <!--</div>-->
          </ul>
          <div class="btnMain small">
            <button class="btn full outline width midBlock marginBtm" ng-click="saveSettings()"
                    ng-disabled="settings.$invalid">Save
            </button>

            <div class="highlight text-center" ng-click="cancel()" >Cancel </div>
          </div>
        </form>
        <div class="overlay" ng-if="watchlists.showCircularLoader">
          <circular-loader></circular-loader>
        </div>
      </div>


    </div>
  </ion-content>

  <!--...... create settings saved msg .........-->
  <div class="messagePopup settingsSavedMsg">
    Settings saved successfully
  </div>
</ion-view>
